<!--
  #%L
  Masc :: API

  $Id: tree_description.ftl 263 2012-07-17 13:34:29Z tchemit $
  $HeadURL: svn+ssh://echatellier@scm.mulcyber.toulouse.inra.fr/svnroot/interfacemasc/trunk/masc-api/src/main/resources/templates/tree_description.ftl $
  %%
  Copyright (C) 2011 - 2012 Inra, Codelutin
  %%
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as
  published by the Free Software Foundation, either version 3 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public
  License along with this program.  If not, see
  <http://www.gnu.org/licenses/gpl-3.0.html>.
  #L%
  -->

<div class="landscapePage pageBreak">
    <h2>${I18n._("masc.report.treeDescription")}</h2>

    <b>${I18n._("masc.report.criteria")}</b><span class="firstSpan"><b>${I18n._("masc.report.description")}</b></span>
    <hr/>
    <#list mascModel.criteria as criteria>
        <#if criteria_index == 1>
            <div class="pageBreak">
        </#if>
        <@displayCriteria criteria=criteria/>
        <#if criteria.child??>
            <ul class="tree">
                <#list criteria.child as child>
                    <@displayAllCriteria criteria=child last=!child_has_next/>
                </#list>
            </ul>
        </#if>
        <hr/>
        <#if !criteria_has_next && criteria_index &gt; 0>
            </div>
        </#if>

    </#list>
</div>

<#macro displayAllCriteria criteria last>
    <#if last>
        <li class="last">
            <#else>
                <li>
    </#if>
    <@displayCriteria criteria=criteria/>
    <#if criteria.child??>
        <#if !criteria.reference>

            <#list criteria.child as child>
                <ul>
                    <@displayAllCriteria criteria=child last=!child_has_next/>
                </ul>
            </#list>
        </#if>
    </#if>
    </li>
</#macro>

<#macro displayCriteria criteria>
    ${StringUtils.abbreviate(criteria.name, 40)}<span class="firstSpan"><#if criteria.description??>
    ${StringUtils.abbreviate(criteria.description, 130)}
</#if></span>
</#macro>